package com.mortals.xhx.module.firm.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.firm.model.vo.FirmVo;
/**
* 设备生产厂商实体对象
*
* @author zxfei
* @date 2022-06-27
*/

public class FirmEntity extends FirmVo {
    private static final long serialVersionUID = 1L;

    /** 设备生产厂商名称 */
    @Excel(name = "设备生产厂商名称")
    private String firmName;
    /** 设备生产商编码 */
    private String firmCode;
    /** 备注 */
    private String firmRemark;


    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 设备生产厂商名称 */
    private List<String> firmNameList;

    /** 设备生产商编码 */
    private List<String> firmCodeList;

    /** 备注 */
    private List<String> firmRemarkList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<FirmEntity> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<FirmEntity> andConditionList;

    public FirmEntity(){}
    /**
    * 获取 设备生产厂商名称
    * @return String
    */
    public String getFirmName(){
        return firmName;
    }
    /**
    * 设置 设备生产厂商名称
    * @param firmName
    */
    public void setFirmName(String firmName){
        this.firmName = firmName;
    }
    /**
    * 获取 设备生产商编码
    * @return String
    */
    public String getFirmCode(){
        return firmCode;
    }
    /**
    * 设置 设备生产商编码
    * @param firmCode
    */
    public void setFirmCode(String firmCode){
        this.firmCode = firmCode;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getFirmRemark(){
        return firmRemark;
    }
    /**
    * 设置 备注
    * @param firmRemark
    */
    public void setFirmRemark(String firmRemark){
        this.firmRemark = firmRemark;
    }
            
    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 设备生产厂商名称
    * @return firmNameList
    */
    public List<String> getFirmNameList(){
        return this.firmNameList;
    }

    /**
    * 设置 设备生产厂商名称
    * @param firmNameList
    */
    public void setFirmNameList(List<String> firmNameList){
        this.firmNameList = firmNameList;
    }
    /**
    * 获取 设备生产商编码
    * @return firmCodeList
    */
    public List<String> getFirmCodeList(){
        return this.firmCodeList;
    }

    /**
    * 设置 设备生产商编码
    * @param firmCodeList
    */
    public void setFirmCodeList(List<String> firmCodeList){
        this.firmCodeList = firmCodeList;
    }
    /**
    * 获取 备注
    * @return firmRemarkList
    */
    public List<String> getFirmRemarkList(){
        return this.firmRemarkList;
    }

    /**
    * 设置 备注
    * @param firmRemarkList
    */
    public void setFirmRemarkList(List<String> firmRemarkList){
        this.firmRemarkList = firmRemarkList;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public FirmEntity id(Long id){
	    setId(id);
		return this;
    }
    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public FirmEntity idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }
    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public FirmEntity idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }
    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public FirmEntity idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }
    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public FirmEntity idList(List<Long> idList){
        this.idList = idList;
		return this;
    }
	/**
    * 设置 设备生产厂商名称
    * @param firmName
    */
    public FirmEntity firmName(String firmName){
        setFirmName(firmName);
		return this;
    }

    /**
    * 设置 设备生产厂商名称
    * @param firmNameList
    */
    public FirmEntity firmNameList(List<String> firmNameList){
        this.firmNameList = firmNameList;
		return this;
    }

	/**
    * 设置 设备生产商编码
    * @param firmCode
    */
    public FirmEntity firmCode(String firmCode){
        setFirmCode(firmCode);
		return this;
    }

    /**
    * 设置 设备生产商编码
    * @param firmCodeList
    */
    public FirmEntity firmCodeList(List<String> firmCodeList){
        this.firmCodeList = firmCodeList;
		return this;
    }

	/**
    * 设置 备注
    * @param firmRemark
    */
    public FirmEntity firmRemark(String firmRemark){
        setFirmRemark(firmRemark);
		return this;
    }

    /**
    * 设置 备注
    * @param firmRemarkList
    */
    public FirmEntity firmRemarkList(List<String> firmRemarkList){
        this.firmRemarkList = firmRemarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public FirmEntity createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public FirmEntity createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }
    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public FirmEntity createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }
    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public FirmEntity createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }
    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public FirmEntity createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
    }
    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public FirmEntity updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public FirmEntity updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }
    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public FirmEntity updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }
    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public FirmEntity updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }
    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public FirmEntity updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
    }
    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<FirmEntity> getOrConditionList(){
        return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public FirmEntity setOrConditionList(List<FirmEntity> orConditionList){
        this.orConditionList = orConditionList;
        return this;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<FirmEntity> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public FirmEntity setAndConditionList(List<FirmEntity> andConditionList){
        this.andConditionList = andConditionList;
        return this;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FirmEntity) {
            FirmEntity tmp = (FirmEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",firmName:").append(getFirmName());
        sb.append(",firmCode:").append(getFirmCode());
        sb.append(",firmRemark:").append(getFirmRemark());
        return sb.toString();
    }

    public void initAttrValue(){
            this.firmName = "";
            this.firmCode = "";
            this.firmRemark = "";
    }
}